From 541ea11ae85b9093d3877369efdad51a83e4611c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Mathias=20G=C3=B6bel?= <goebel@sub.uni-goettingen.de>
Date: Wed, 21 Jul 2021 23:43:54 +0200
Subject: [PATCH] fix: cp for main only

---
 .ci-scripts/update-artifacts.sh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/.ci-scripts/update-artifacts.sh b/.ci-scripts/update-artifacts.sh
index 18027d4..dee04be 100644
--- a/.ci-scripts/update-artifacts.sh
+++ b/.ci-scripts/update-artifacts.sh
@@ -20,6 +20,8 @@ unzip -u old-artifact.zip
 # https://subugoe.pages.gwdg.de/ahiqar/website/${CI_COMMIT_REF_SLUG}/.
 # this has to be considered in the directory structure.
 
-cp --recursive public/main/* public/
+if [[ ${CI_COMMIT_REF_SLUG} == "main" ]]; then
+  cp --recursive public/main/* public/
+fi
 
-[ $? -eq 0 ] && exit 0
+# [ $? -eq 0 ] && exit 0
-- 
GitLab